Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.common.xml
Class JSTLXPathNamespaceContext

    java.lang.Object
      org.apache.taglibs.standard.tag.common.xml.JSTLXPathNamespaceContext

All Implemented Interfaces:
  NamespaceContext

    public class JSTLXPathNamespaceContext

extends Object
implements NamespaceContext

Implemenation of XML Namespace context processing given a URI or prefix

Constructor Summary
`JSTLXPathNamespaceContext()` No-arg constructor which would create empty HashMap of namespaces
`JSTLXPathNamespaceContext(HashMap nses)`

Method Summary
`protected void` | `addNamespace(String prefix, String uri)` Populate map of Prefix and NameSpace URI's entries
`String` | `getNamespaceURI(String prefix)` Get Namespace URI bound to a prefix in the current scope
`String` | `getPrefix(String namespaceURI)` Get Prefix bound to Namespace URI in the current scope
`Iterator` | `getPrefixes(String namespaceURI)` Get all Prefixes bound to Namespace URI in the current scope

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSTLXPathNamespaceContext

    public JSTLXPathNamespaceContext()

  No-arg constructor which would create empty HashMap of namespaces

### JSTLXPathNamespaceContext

    public JSTLXPathNamespaceContext(HashMap nses)

Method Detail

### getNamespaceURI

    public String getNamespaceURI(String prefix)
                           throws IllegalArgumentException

  Get Namespace URI bound to a prefix in the current scope

  Specified by:
    `getNamespaceURI` in interface `NamespaceContext`
  Parameters:
    `Prefix` - Parameter
  Returns:
    Namespace URI bound to prefix
  Throws:
    `IllegalArgumentException` - if prefix is null

### getPrefix

    public String getPrefix(String namespaceURI)

  Get Prefix bound to Namespace URI in the current scope

  Specified by:
    `getPrefix` in interface `NamespaceContext`
  Parameters:
    `Namespace` - URI
  Returns:
    Prefix bound to Namespace URI
  Throws:
    `IllegalArgumentException` - if Namespace URI is null

### getPrefixes

    public Iterator getPrefixes(String namespaceURI)

  Get all Prefixes bound to Namespace URI in the current scope

  Specified by:
    `getPrefixes` in interface `NamespaceContext`
  Parameters:
    `Namespace` - URI
  Returns:
    Iterator of Prefixes bound to Namespace URI
  Throws:
    `IllegalArgumentException` - if Namespace URI is null

### addNamespace

    protected void addNamespace(String prefix,
                                String uri)

  Populate map of Prefix and NameSpace URI's entries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.